package ink.wgink.login.oauth2.server.exceptions;

import org.springframework.security.oauth2.provider.ClientRegistrationException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ClientStateException
 * @Description: 客户端状态异常
 * @Author: WangGeng
 * @Date: 2020/7/22 10:31 下午
 * @Version: 1.0
 **/
public class OAuth2ClientStateException extends ClientRegistrationException {

    public OAuth2ClientStateException(String msg) {
        super(msg);
    }

    public OAuth2ClientStateException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
